2019-12-09 21:25 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001774FSSCPFREDpublic2008-09-30 13:37
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001774: When-argument as an operator of when does not work
DescriptionA when-argument nested within a when statement doesn't seem to do anything at all. There is no error message or anything in the log files.
Additional InformationOriginally found in TBP 3.6.9 but confirmed in the 3.6.10 4827 Knightly build from 9/18/08. Attaching 2 files. chainreact does work (with the exception of the explosion-effect bug in the third explosion) chainreact1 doesn't.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009746

karajorma (administrator)

The code was checking if anything inside the sexp used arguments. Which is fine except it shouldn't check inside another conditional, it should just eval them.

~0009747

karajorma (administrator)

The code was checking if anything inside the sexp used arguments. Which is fine except it shouldn't check inside another conditional, it should just eval them.
+Notes

-Issue History
Date Modified Username Field Change
2008-09-22 14:10 FUBAR-BDHR New Issue
2008-09-22 14:10 FUBAR-BDHR File Added: chainreact1.fs2
2008-09-22 14:10 FUBAR-BDHR File Added: chainreact.fs2
2008-09-27 01:19 Goober5000 Status new => assigned
2008-09-27 01:19 Goober5000 Assigned To => karajorma
2008-09-30 13:37 karajorma Status assigned => resolved
2008-09-30 13:37 karajorma Resolution open => fixed
2008-09-30 13:37 karajorma Note Added: 0009746
2008-09-30 13:37 karajorma Note Added: 0009747
2008-09-30 13:37 karajorma Fixed in Version => 3.6.10
+Issue History